from pydantic import BaseModel, ConfigDict, Field


class CurrencyTypeDTO(BaseModel):
    code: str = Field(..., min_length=1, max_length=3)
    currency_name: str
    country_description: str

    model_config = ConfigDict(from_attributes=True)
